TypeScript
import { MyOrganizationClient } from "@auth0/myorganization-js";
async function main() {
const client = new MyOrganizationClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.organization.identityProviders.list({
member_access_level: [
"none",
],
is_enabled: true,
});
}
main();import { MyOrganizationClient } from "@auth0/myorganization-js";
async function main() {
const client = new MyOrganizationClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.organization.identityProviders.list({
member_access_level: [
"none",
],
is_enabled: true,
});
}
main();
package example
import (
context "context"
myorganization "github.com/auth0/myorganization-go/v2"
client "github.com/auth0/myorganization-go/v2/client"
option "github.com/auth0/myorganization-go/v2/option"
)
func do() {
c, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
request := &myorganization.ListOrganizationIdentityProvidersRequestParameters{
MemberAccessLevel: []*myorganization.OrganizationAccessLevelEnum{
myorganization.OrganizationAccessLevelEnumNone.Ptr(),
},
IsEnabled: myorganization.Bool(
true,
),
}
c.Organization.IdentityProviders.List(
context.TODO(),
request,
)
}
using Auth0.MyOrganizationApi;
using System.Threading.Tasks;
using Auth0.MyOrganizationApi.Organization;
using System.Collections.Generic;
public partial class Examples
{
public async Task Example() {
var client = new MyOrganizationClient(new MyOrganizationClientOptions
{
Domain = "{YOUR_DOMAIN}",
TokenProvider = new DelegateTokenProvider(_ => Task.FromResult("<token>"))
});
await client.Organization.IdentityProviders.ListAsync(
new ListOrganizationIdentityProvidersRequestParameters {
MemberAccessLevel = new List<OrganizationAccessLevelEnum?>(){
OrganizationAccessLevelEnum.None,
}
,
IsEnabled = true
}
);
}
}
package com.example.usage;
import com.auth0.client.myorganization.auth.MyOrganizationClient;
import com.auth0.client.myorganization.organization.types.ListOrganizationIdentityProvidersRequestParameters;
import com.auth0.client.myorganization.types.OrganizationAccessLevelEnum;
import java.util.Arrays;
public class Example {
public static void main(String[] args) {
MyOrganizationClient client = MyOrganizationClient
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.organization().identityProviders().list(
ListOrganizationIdentityProvidersRequestParameters
.builder()
.isEnabled(true)
.memberAccessLevel(
Arrays.asList(OrganizationAccessLevelEnum.NONE)
)
.build()
);
}
}from auth0.myorganization import MyOrganizationClient
client = MyOrganizationClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.organization.identity_providers.list(
member_access_level=[
"none"
],
is_enabled=True,
)
curl --request GET \
--url https://{tenantDomain}/my-org/v1/identity-providers \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenantDomain}/my-org/v1/identity-providers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://{tenantDomain}/my-org/v1/identity-providers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"identity_providers": [
{
"id": "con_zW1UHutvkVWSWdCC",
"name": "oidcIdp",
"display_name": "OIDC IdP",
"strategy": "oidc",
"show_as_button": true,
"assign_membership_on_login": false,
"access_level": "full",
"domains": [
"mydomain.com"
],
"is_enabled": true,
"options": {
"type": "front_channel",
"client_id": "a8f3b2e7-5d1c-4f9a-8b0d-2e1c3a5b6f7d",
"discovery_url": "https://{yourDomain}/.well-known/openid-configuration"
},
"attributes": [
{
"sso_field": [
"userName"
],
"user_attribute": "preferred_username",
"description": "Preferred Username",
"label": "Preferred username",
"is_required": true,
"is_extra": false,
"is_missing": false
},
{
"sso_field": [
"externalId"
],
"user_attribute": "external_id",
"is_required": true,
"is_extra": true,
"is_missing": false
}
]
},
{
"id": "con_zW1UHutvkVWSWdCD",
"name": "samlIdp",
"display_name": "Saml IdP",
"strategy": "samlp",
"show_as_button": true,
"assign_membership_on_login": false,
"access_level": "limited",
"domains": [
"mydomain.com"
],
"is_enabled": true,
"options": {
"signatureAlgorithm": "rsa-sha256",
"digestAlgorithm": "sha256",
"protocolBinding": "urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST",
"signSAMLRequest": true,
"bindingMethod": "HTTP-Redirect",
"metadataUrl": "a.metadata.url",
"cert": "MIIDQjCCAiugAwIBAgIRAMp+cW+SgQ2Yh7fF8v8b0OQwDQYJKoZIhvcNAQELBQAw...",
"idpInitiated": {
"enabled": true,
"client_id": "a8f3b2e7-5d1c-4f9a-8b0d-2e1c3a5b6f7d",
"client_protocol": "SAML",
"client_authorizequery": "redirect_uri=https://jwt.io&scope=openid email&response_type=token"
}
},
"attributes": [
{
"sso_field": [
"userName"
],
"user_attribute": "preferred_username",
"description": "Preferred Username",
"label": "Preferred username",
"is_required": true,
"is_extra": false,
"is_missing": false
},
{
"sso_field": [
"externalId"
],
"user_attribute": "external_id",
"is_required": true,
"is_extra": true,
"is_missing": false
}
]
}
]
}List Identity Providers
Retrieve the comprehensive list of identity providers and their respective configurations associated with an Auth0 Organization.
GET
/
identity-providers
TypeScript
import { MyOrganizationClient } from "@auth0/myorganization-js";
async function main() {
const client = new MyOrganizationClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.organization.identityProviders.list({
member_access_level: [
"none",
],
is_enabled: true,
});
}
main();import { MyOrganizationClient } from "@auth0/myorganization-js";
async function main() {
const client = new MyOrganizationClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.organization.identityProviders.list({
member_access_level: [
"none",
],
is_enabled: true,
});
}
main();
package example
import (
context "context"
myorganization "github.com/auth0/myorganization-go/v2"
client "github.com/auth0/myorganization-go/v2/client"
option "github.com/auth0/myorganization-go/v2/option"
)
func do() {
c, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
request := &myorganization.ListOrganizationIdentityProvidersRequestParameters{
MemberAccessLevel: []*myorganization.OrganizationAccessLevelEnum{
myorganization.OrganizationAccessLevelEnumNone.Ptr(),
},
IsEnabled: myorganization.Bool(
true,
),
}
c.Organization.IdentityProviders.List(
context.TODO(),
request,
)
}
using Auth0.MyOrganizationApi;
using System.Threading.Tasks;
using Auth0.MyOrganizationApi.Organization;
using System.Collections.Generic;
public partial class Examples
{
public async Task Example() {
var client = new MyOrganizationClient(new MyOrganizationClientOptions
{
Domain = "{YOUR_DOMAIN}",
TokenProvider = new DelegateTokenProvider(_ => Task.FromResult("<token>"))
});
await client.Organization.IdentityProviders.ListAsync(
new ListOrganizationIdentityProvidersRequestParameters {
MemberAccessLevel = new List<OrganizationAccessLevelEnum?>(){
OrganizationAccessLevelEnum.None,
}
,
IsEnabled = true
}
);
}
}
package com.example.usage;
import com.auth0.client.myorganization.auth.MyOrganizationClient;
import com.auth0.client.myorganization.organization.types.ListOrganizationIdentityProvidersRequestParameters;
import com.auth0.client.myorganization.types.OrganizationAccessLevelEnum;
import java.util.Arrays;
public class Example {
public static void main(String[] args) {
MyOrganizationClient client = MyOrganizationClient
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.organization().identityProviders().list(
ListOrganizationIdentityProvidersRequestParameters
.builder()
.isEnabled(true)
.memberAccessLevel(
Arrays.asList(OrganizationAccessLevelEnum.NONE)
)
.build()
);
}
}from auth0.myorganization import MyOrganizationClient
client = MyOrganizationClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.organization.identity_providers.list(
member_access_level=[
"none"
],
is_enabled=True,
)
curl --request GET \
--url https://{tenantDomain}/my-org/v1/identity-providers \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenantDomain}/my-org/v1/identity-providers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://{tenantDomain}/my-org/v1/identity-providers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"identity_providers": [
{
"id": "con_zW1UHutvkVWSWdCC",
"name": "oidcIdp",
"display_name": "OIDC IdP",
"strategy": "oidc",
"show_as_button": true,
"assign_membership_on_login": false,
"access_level": "full",
"domains": [
"mydomain.com"
],
"is_enabled": true,
"options": {
"type": "front_channel",
"client_id": "a8f3b2e7-5d1c-4f9a-8b0d-2e1c3a5b6f7d",
"discovery_url": "https://{yourDomain}/.well-known/openid-configuration"
},
"attributes": [
{
"sso_field": [
"userName"
],
"user_attribute": "preferred_username",
"description": "Preferred Username",
"label": "Preferred username",
"is_required": true,
"is_extra": false,
"is_missing": false
},
{
"sso_field": [
"externalId"
],
"user_attribute": "external_id",
"is_required": true,
"is_extra": true,
"is_missing": false
}
]
},
{
"id": "con_zW1UHutvkVWSWdCD",
"name": "samlIdp",
"display_name": "Saml IdP",
"strategy": "samlp",
"show_as_button": true,
"assign_membership_on_login": false,
"access_level": "limited",
"domains": [
"mydomain.com"
],
"is_enabled": true,
"options": {
"signatureAlgorithm": "rsa-sha256",
"digestAlgorithm": "sha256",
"protocolBinding": "urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST",
"signSAMLRequest": true,
"bindingMethod": "HTTP-Redirect",
"metadataUrl": "a.metadata.url",
"cert": "MIIDQjCCAiugAwIBAgIRAMp+cW+SgQ2Yh7fF8v8b0OQwDQYJKoZIhvcNAQELBQAw...",
"idpInitiated": {
"enabled": true,
"client_id": "a8f3b2e7-5d1c-4f9a-8b0d-2e1c3a5b6f7d",
"client_protocol": "SAML",
"client_authorizequery": "redirect_uri=https://jwt.io&scope=openid email&response_type=token"
}
},
"attributes": [
{
"sso_field": [
"userName"
],
"user_attribute": "preferred_username",
"description": "Preferred Username",
"label": "Preferred username",
"is_required": true,
"is_extra": false,
"is_missing": false
},
{
"sso_field": [
"externalId"
],
"user_attribute": "external_id",
"is_required": true,
"is_extra": true,
"is_missing": false
}
]
}
]
}Authorizations
OAuth2ClientCredentialsOAuth2AuthCode
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
When present, only connections whose Organization Member Access Level matches one of the provided values are returned. Accepted values are full, limited, readonly and none.
Minimum array length:
1The access level allowed for the Organization
Available options:
none, readonly, limited, full Filter the returned list by enabled status. When true, only enabled items are returned; when false, only disabled items; when omitted, all items are returned.
Response
List of identity providers successfully retrieved.
identity_providers
(IdP ADFS Response · object | IdP Google Workforce Response · object | IdP OIDC Response · object | IdP Okta Response · object | IdP Ping Response · object | IdP SAML Response · object | IdP Microsoft Azure AD Response · object)[]
Identity provider specific options.
- IdP ADFS Response
- IdP Google Workforce Response
- IdP OIDC Response
- IdP Okta Response
- IdP Ping Response
- IdP SAML Response
- IdP Microsoft Azure AD Response
Show child attributes
Show child attributes